# Generated by Django 3.1 on 2020-09-03 17:09

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ProdukPelatihan',
            fields=[
                ('id_produk', models.AutoField(primary_key=True, serialize=False)),
                ('nama', models.TextField()),
            ],
            options={
                'db_table': 'produk_pelatihan',
            },
        ),
        migrations.CreateModel(
            name='Program',
            fields=[
                ('id_program', models.AutoField(primary_key=True, serialize=False)),
                ('nama', models.TextField()),
                ('deskripsi', models.TextField(blank=True)),
                ('jenis_prod_pelatihan', models.ForeignKey(db_column='id_produk', on_delete=django.db.models.deletion.CASCADE, to='program.produkpelatihan')),
            ],
            options={
                'db_table': 'program',
            },
        ),
        migrations.CreateModel(
            name='Pelatihan',
            fields=[
                ('id_pelatihan', models.AutoField(primary_key=True, serialize=False)),
                ('judul', models.TextField()),
                ('deskripsi', models.TextField(blank=True)),
                ('jumlah_hari', models.PositiveSmallIntegerField(blank=True)),
                ('biaya', models.PositiveIntegerField(blank=True, null=True)),
                ('detail_url', models.URLField(max_length=250)),
                ('id_program', models.ForeignKey(db_column='id_program', on_delete=django.db.models.deletion.CASCADE, to='program.program')),
            ],
            options={
                'db_table': 'pelatihan',
            },
        ),
    ]
